Skip to main content

## upper

The upper command converts fields to upper-case.
See also: lower, mixed

Flag | Req'd? | Description
-f fieldlist | No | Specifies a comma-separated list of field indices identifying the fields in the input which will be converted to upper-case on output. If the -f flag is not used, all fields are converted.

The following example converts the surname (second field) in the names.csv file to upper-case:
csvfix upper -f 2 data/names.csv
which produces:
"Charles","DICKENS","M"
"Jane","AUSTEN","F"
"Herman","MELVILLE","M"
"Flann","O'BRIEN","M"
"George","ELLIOT","F"
"Virginia","WOOLF","F"
"Oscar","WILDE","M"

Created with the Personal Edition of HelpNDoc: Qt Help documentation made easy

####